net.sf.jasperreports.engine.base

## Class JRBaseChartPlot.JRBaseSeriesColor

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseChartPlot.JRBaseSeriesColor

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<JRBaseChartPlot.JRBaseSeriesColor>, JRChartPlot.JRSeriesColor, JRCloneable
  Enclosing class:
    JRBaseChartPlot

      public static class JRBaseChartPlot.JRBaseSeriesColor
      extends java.lang.Object
      implements JRChartPlot.JRSeriesColor, java.io.Serializable, java.lang.Comparable<JRBaseChartPlot.JRBaseSeriesColor>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.Color` | `color`
    `protected int` | `seriesOrder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBaseChartPlot.JRBaseSeriesColor(int seriesOrder, java.awt.Color color)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `int` | `compareTo(JRBaseChartPlot.JRBaseSeriesColor obj)`
    `java.awt.Color` | `getColor()` Returns the color to use for this series.
    `int` | `getSeriesOrder()` Returns the series number (0 based) that this color applies to.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### seriesOrder

          protected int seriesOrder

    - #### color

          protected java.awt.Color color

  - ### Constructor Detail

    - #### JRBaseChartPlot.JRBaseSeriesColor

          public JRBaseChartPlot.JRBaseSeriesColor(int seriesOrder,
                                           java.awt.Color color)

  - ### Method Detail

    - #### getSeriesOrder

          public int getSeriesOrder()

      Returns the series number (0 based) that this color applies to.
      Specified by:
        `getSeriesOrder` in interface `JRChartPlot.JRSeriesColor`

    - #### getColor

          public java.awt.Color getColor()

      Returns the color to use for this series.
      Specified by:
        `getColor` in interface `JRChartPlot.JRSeriesColor`

    - #### compareTo

          public int compareTo(JRBaseChartPlot.JRBaseSeriesColor obj)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<JRBaseChartPlot.JRBaseSeriesColor>`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com